UpdateFormboardBuilder Class

class NXOpen.Formboard.UpdateFormboardBuilder

Bases: NXOpen.Builder

Class that performs the “update” of Formboard geometry.

To create a new instance of this class, use NXOpen.Formboard.FormboardManager.CreateUpdateFormboardBuilder()

New in version NX7.5.0.

Properties

Property Description
LengthOptions Returns the length options for the update operation.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateBendsOfRadialBends Creates bends for radial bends after all discrepanices have been fixed.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DetermineDiscrepancies Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard.
FindMapping Compute the mapping between the data in the formboard and the data in the 3D harness.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetDiscrepancy Returns the discrepancy at the given index.
GetHarnessPart Gets the 3D harness part file to compare the formboard against.
GetNumberOfDiscrepancies Returns the number of discrepancies discovered by the Formboard.UpdateFormboardBuilder.DetermineDiscrepancies().
GetObject Returns the object currently being edited by this builder.
RemoveBendsOfRadialBends Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend.
SetHarnessPart Sets the 3D harness part file to compare the formboard against.
SetHarnesses Sets the harnesses within the harness part that the formboard must be compared with.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

LengthOptions

UpdateFormboardBuilder.LengthOptions

Returns the length options for the update operation.

-------------------------------------

Getter Method

Signature LengthOptions

Returns:
Return type:NXOpen.Formboard.LayoutLengthOptions

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

Method Detail

CreateBendsOfRadialBends

UpdateFormboardBuilder.CreateBendsOfRadialBends

Creates bends for radial bends after all discrepanices have been fixed.

This routine should be called in conjunction with RemoveBendsOfRadialBends.

Signature CreateBendsOfRadialBends()

New in version NX7.5.5.

License requirements: routing_harness (“Routing Harness”)

DetermineDiscrepancies

UpdateFormboardBuilder.DetermineDiscrepancies

Once the mapping has been determined, this method can find any discrepancies between the 3D harness and the formboard.

Signature DetermineDiscrepancies()

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

FindMapping

UpdateFormboardBuilder.FindMapping

Compute the mapping between the data in the formboard and the data in the 3D harness.

This method can take a very long time to execute.

Signature FindMapping()

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

GetDiscrepancy

UpdateFormboardBuilder.GetDiscrepancy

Returns the discrepancy at the given index.

The index must be 0 to Formboard.UpdateFormboardBuilder.GetNumberOfDiscrepancies().

Signature GetDiscrepancy(index)

Parameters:index (int) –
Returns:
Return type:NXOpen.Formboard.UpdateDiscrepancy

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

GetHarnessPart

UpdateFormboardBuilder.GetHarnessPart

Gets the 3D harness part file to compare the formboard against.

Signature GetHarnessPart()

Returns:
Return type:NXOpen.Part

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

GetNumberOfDiscrepancies

UpdateFormboardBuilder.GetNumberOfDiscrepancies

Returns the number of discrepancies discovered by the Formboard.UpdateFormboardBuilder.DetermineDiscrepancies().

Signature GetNumberOfDiscrepancies()

Returns:
Return type:int

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

RemoveBendsOfRadialBends

UpdateFormboardBuilder.RemoveBendsOfRadialBends

Removes bends in all radial bends and replaces them with a linear segment going from the anchor to the free RCP of each radial bend.

This is done before fixing discrepancies because presence of bends in radial bend causes problems. The bends of radial bends are recreated after the discrepancies have been fixed using CreateBendsOfRadialBends

Signature RemoveBendsOfRadialBends()

New in version NX7.5.5.

License requirements: routing_harness (“Routing Harness”)

SetHarnessPart

UpdateFormboardBuilder.SetHarnessPart

Sets the 3D harness part file to compare the formboard against.

This clears any discrepancies that have been discovered against the previous harness part.

Signature SetHarnessPart(harnessPart)

Parameters:harnessPart (NXOpen.Part) –

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

SetHarnesses

UpdateFormboardBuilder.SetHarnesses

Sets the harnesses within the harness part that the formboard must be compared with.

Signature SetHarnesses(harnesses)

Parameters:harnesses (list of NXOpen.Routing.Electrical.HarnessDevice) – Harnesses to compare against.

New in version NX7.5.0.

License requirements: routing_harness (“Routing Harness”)

Validate

UpdateFormboardBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.